<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<application xmlns="http://wadl.dev.java.net/2009/02">
    <doc xmlns:jersey="http://jersey.java.net/" jersey:generatedBy="Jersey: 2.41 2023-10-20 08:17:02"/>
    <doc xmlns:jersey="http://jersey.java.net/" jersey:hint="This is simplified WADL with user and core resources only. To get full WADL with extended resources use the query parameter detail. Link: http://api.flightstats.com/flex/flightstatus/rest/v2/schema/flight/status/wadl?detail=true"/>
    <grammars/>
    <resources base="http://api.flightstats.com/">
        <resource path="/flex/flightstatus/rest/v2/schema/flight/status/openapi.{type:json|yaml}">
            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="type" style="template" type="xs:string"/>
            <method id="getOpenApi" name="GET">
                <response>
                    <representation mediaType="application/json"/>
                    <representation mediaType="application/yaml"/>
                </response>
            </method>
        </resource>
        <resource path="/flex/flightstatus/rest/v2/{format}">
            <resource path="flight/status/tailNumber/{tailNumber}/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="tailNumber" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="byFlightByTailNumber" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numDays" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="/airport/status/{airport}/dep/{year}/{month}/{day}/{hourOfDay}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hourOfDay" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="airport" style="template" type="xs:string"/>
                <method id="byAirportByDeparture" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="utc" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="carrier" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxFlights" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="flight/status/{carrier}/{flight}/arr/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="flight" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="carrier" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="byFlightByArrival" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="utc" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="airport" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="route/status/{departureAirport}/{arrivalAirport}/dep/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="byRouteByDeparture" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hourOfDay" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="utc" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxFlights" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="nonstopOnly" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="flight/status/{flightId}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="flightId" style="template" type="xs:string"/>
                <method id="byFlightById" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="flight/status/{carrier}/{flight}/dep/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="flight" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="carrier" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="byFlightByDeparture" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="utc" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="airport" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="/airport/status/{airport}/arr/{year}/{month}/{day}/{hourOfDay}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hourOfDay" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="airport" style="template" type="xs:string"/>
                <method id="byAirportByArrival" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="utc" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="carrier" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxFlights" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="route/status/{departureAirport}/{arrivalAirport}/arr/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="byRouteByArrival" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hourOfDay" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="utc" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxFlights" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="nonstopOnly" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/flex/flightstatus/rest/v2/schema/flight/status">
            <resource path="/wadl">
                <method id="wadl" name="GET">
                    <response>
                        <representation mediaType="application/vnd.sun.wadl+xml"/>
                        <representation mediaType="application/xml"/>
                    </response>
                </method>
            </resource>
            <resource path="/xsd">
                <method id="xsd" name="GET">
                    <response>
                        <representation mediaType="application/xml"/>
                    </response>
                </method>
            </resource>
            <resource path="/json">
                <method id="json" name="GET">
                    <response>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
        </resource>
    </resources>
</application>
